﻿using System;
using System.Collections.Generic;
using System.Formats.Asn1;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CsvHelper;
using WpfApp1;
using WpfApp1.model;

namespace WpfApp1.model
{
    public class CSVDataProvider : LocalDataProvider, IDataProvider
    {
        private List<Worker> WorkerList;

        // конструктор класса
        public CSVDataProvider()
        {
            using (var reader = new StreamReader("./data.csv"))
            {
                using (var csv = new CsvReader(
                    reader,
                    CultureInfo.InvariantCulture))
                {
                    // CsvHelper использует отложенное чтение через 
                    // yeld, поэтому сразу преобразуем в список
                    WorkerList = csv.GetRecords<Worker>().ToList();
                }
            }
        }
        public IEnumerable<Worker> getWorker()
        {
            return WorkerList;
        }
    }
}